Create an Integration
curl --request POST \
--url https://api.alerty.ai/integration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
'import requests
url = "https://api.alerty.ai/integration"
payload = {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
configuration: {
teamId: '<string>',
accessToken: '<string>',
incomingWebhookURL: '<string>',
channelID: '<string>'
}
})
};
fetch('https://api.alerty.ai/integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}Integration
Create an Integration
This operation creates a new integration
POST
/
integration
Create an Integration
Authorizations
bearerAuthcookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
the integration information
Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the integration type
Available options:
SLACK, PAGERDUTY, EMAIL the integration class
Available options:
NOTIFICATION, CLOUD_PROVIDER the slack integration configuration
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Integration created
the integration information
Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the integration type
Available options:
SLACK, PAGERDUTY, EMAIL the integration class
Available options:
NOTIFICATION, CLOUD_PROVIDER the slack integration configuration
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I

